#  Build a React.js CRUD App using a RESTful API

In this comprehensive guide, you'll learn how to build a CRUD application with React.js, Tailwind CSS, React Query, React-Hook-Form, and Axios. In brief, we'll use CRUD (CREATE, READ, UPDATE, DELETE) methods to perform basic operations against a data layer via REST API.

![Build a React.js CRUD App using a RESTful API](https://codevoweb.com/wp-content/uploads/2022/11/Build-a-React.js-CRUD-App-using-a-RESTful-API.webp)

## Topics Covered

- Run the Django CRUD API Locally
- Run the React CRUD APP Locally
- Setup the React.js Project
    - Bootstrap React with Vite
    - Set up Tailwind CSS
- Create API Requests with Axios
- Create Reusable Components
- Add the CRUD Functionalities
    - CREATE Operation
    - UPDATE Operation
    - DELETE Operation
    - READ Operation
- Testing the CRUD App
    - Create New Note
    - Update a Note
    - Get All Notes
    - Delete a Note


Read the entire article here: [https://codevoweb.com/build-a-reactjs-crud-app-using-a-restful-api/](https://codevoweb.com/build-a-reactjs-crud-app-using-a-restful-api/)

